#
# mymatrix.py
#
# mm(A,B) - multiplies, matrix A*B
#
# 1.8.2005 Mazany Ondrej - email:mazany.o@seznam.cz
#
from Blender.Mathutils import *
def mm(A,B):
    "Mutliplies two matrices C = A x B  ~ C = mm( A, B)"
    rows=len(A)/len(A[0])
    cols=len(B[0])
    
    #C=[ range(cols) for i in range(rows) ]
    if rows==2:
        C=Matrix(range(cols),range(cols))
    if rows==3:
        C=Matrix(range(cols),range(cols),range(cols))
    if rows==4:
        C=Matrix(range(cols),range(cols),range(cols),range(cols))
    if rows==5:
        C=Matrix(range(cols),range(cols),range(cols),range(cols),range(cols))
        
    for row in range(rows):
        for col in range(cols):
            C[row][col]=0
            for i in range(len(A[0])):
                C[row][col]=C[row][col]+A[row][i]*B[i][col]            
    return C;

